## pyvisa-py 0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyvisa-py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyvisa-py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyvisa-py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyvisa-py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyvisa-py 0.1

=== debian/changelog ===
pyvisa-py (0.1-2) unstable; urgency=low

  * Uploaded to unstable
  * Added debian/pydist-overrides to prevent the dependency on pyvisa

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 11 Jun 2015 08:39:44 +0000

pyvisa-py (0.1-1) experimental; urgency=low

  * Initial release (Closes: #775764)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 25 Feb 2015 22:30:09 +0100

=== debian/control ===
Source: pyvisa-py
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: all
X-Python3-Version: >= 3.1
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyvisa-py.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyvisa-py.git
Homepage: https://github.com/hgrecco/pyvisa-py

Package: python-pyvisa-py
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyvisa
Description: Backend that implements a large part of the VISA in pure Python
 This library provides Python VISA bindings for GPIB, RS232, and USB
 instruments.
 .
 PyVISA started as wrapper for the NI-VISA library and therefore you need to
 install National Instruments VISA library in your system. This works most of
 the time, for most people. But NI-VISA is a proprietary library that only works
 on certain systems. That is when PyVISA-py jumps in.

Package: python3-pyvisa-py
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pyvisa
Description: Backend that implements a large part of the VISA in pure Python3
 This library provides Python VISA bindings for GPIB, RS232, and USB
 instruments.
 .
 PyVISA started as wrapper for the NI-VISA library and therefore you need to
 install National Instruments VISA library in your system. This works most of
 the time, for most people. But NI-VISA is a proprietary library that only works
 on certain systems. That is when PyVISA-py jumps in.
 .
 This package provides Python3 bindings for pyvisa-py.

## pyvisa-py 0.2

=== debian/changelog ===
pyvisa-py (0.2-1) unstable; urgency=low

  * New upstream release
    - Added versioned dependency on python-pyvisa and python3-pyvisa
      (debian/control)
  * debian/control
    - Added space between Python and 3 in the description
  * debian/copyright
    - Added year 2015 and new AUTHORS
    - Added "Upstream-Contact" field.
  * debian/.git-dpm:
    - Converted to git-dpm patch management

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 13 Sep 2015 21:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: python-pyvisa-py
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-pyvisa
+Depends: ${misc:Depends}, ${python:Depends}, python-pyvisa (>= 1.8-1)
 Description: Backend that implements a large part of the VISA in pure Python
  This library provides Python VISA bindings for GPIB, RS232, and USB
  instruments.
@@ -30,8 +30,8 @@
 
 Package: python3-pyvisa-py
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pyvisa
-Description: Backend that implements a large part of the VISA in pure Python3
+Depends: ${misc:Depends}, ${python3:Depends}, python3-pyvisa (>= 1.8-1)
+Description: Backend that implements a large part of the VISA in pure Python 3
  This library provides Python VISA bindings for GPIB, RS232, and USB
  instruments.
  .
@@ -40,4 +40,4 @@
  the time, for most people. But NI-VISA is a proprietary library that only works
  on certain systems. That is when PyVISA-py jumps in.
  .
- This package provides Python3 bindings for pyvisa-py.
+ This package provides Python 3 bindings for pyvisa-py.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@ --with python2,python3 --buildsystem=python_distutils

override_dh_auto_clean:
	$(RM) -r PyVISA_py.egg-info
	$(RM) -r build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do \
	    $$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
	    $$python setup.py install --install-layout=deb \
	    --root $(CURDIR)/debian/tmp; \
	done;

=== debian/watch ===
version=3
https://github.com/hgrecco/pyvisa-py/releases /hgrecco/pyvisa-py/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pyvisa-py 0.3.1

=== debian/changelog ===
pyvisa-py (0.3.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Team upload.
  * Drop Python 2 support; Closes: #938297
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Sep 2019 18:12:45 -0400

pyvisa-py (0.3.1-2) unstable; urgency=medium

  * debian/tests:
    - Added autopkgtest

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 02 Dec 2018 10:53:41 +0100

pyvisa-py (0.3.1-1) unstable; urgency=medium

  [ Ruben Undheim ]
  * New upstream release
  * debian/upstream/metadata added
  * debian/control: New standards version 4.2.1 - no changes

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 11:49:08 +0200

pyvisa-py (0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * debian/control: Set Vcs-* to salsa.debian.org
  * debian/copyright: Use https protocol in Format field
  * debian/control: Remove ancient X-Python3-Version field

  [ Ruben Undheim ]
  * debian/control, debian/compat: compat level 11
  * debian/watch, debian/control, debian/copyright:
    - Updated homepage URL
  * New standards version 4.2.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 05 Aug 2018 21:59:56 +0200

pyvisa-py (0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Ruben Undheim ]
  * debian/control:
    - Fix circular dependency by moving python-pyvisa to Recommends
    - New standards version 3.9.8 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 28 Aug 2016 13:03:59 +0200

=== debian/control ===
Source: pyvisa-py
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pyvisa,
Standards-Version: 4.4.0
X-Python-Version: all
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyvisa-py
Vcs-Git: https://salsa.debian.org/python-team/modules/pyvisa-py.git
Homepage: https://github.com/pyvisa/pyvisa-py

Package: python3-pyvisa-py
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pyvisa (>= 1.8-1)
Description: Backend that implements a large part of the VISA in pure Python 3
 This library provides Python VISA bindings for GPIB, RS232, and USB
 instruments.
 .
 PyVISA started as wrapper for the NI-VISA library and therefore you need to
 install National Instruments VISA library in your system. This works most of
 the time, for most people. But NI-VISA is a proprietary library that only works
 on certain systems. That is when PyVISA-py jumps in.
 .
 This package provides Python 3 bindings for pyvisa-py.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	$(RM) -r PyVISA_py.egg-info
	$(RM) -r build
	dh_auto_clean

#override_dh_auto_build:
#	dh_auto_build
#	set -ex; for python in $(shell py3versions -r); do \
#	    $$python setup.py build; \
#	done

#override_dh_auto_install:
#	dh_auto_install
#	set -ex; for python in $(shell py3versions -r); do \
#	    $$python setup.py install --install-layout=deb \
#	    --root $(CURDIR)/debian/tmp; \
#	done;

=== debian/tests/control ===
Tests: py-load
Depends: python3-pyvisa-py

## pyvisa-py 0.5.1

=== debian/changelog ===
pyvisa-py (0.5.1-2) unstable; urgency=high

  * debian/control:
    - Skip version in build-dependency on python3-pyvisa
  * debian/rules:
    - Skip test if python3-pyvisa is older than 1.11.3-1. Needed
      to solve cyclic dependency causing migration problems to testing
  * debian/tests/py-load:
    - Skip autopktest if python3-pyvisa is older than 1.11.3-1. Needed to solve
      a cyclic dependency causing problems with migration to testing.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 02 Jan 2021 21:45:06 +0000

pyvisa-py (0.5.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13
  * debian/control:
    - Build-depend on python3-setuptools-scm, python3-pytest, python3-toml
      and python3-wheel
    - Breaks: python3-pyvisa (<< 1.11)
    - Drop ancient X-Python-Version field
    - Recommends: python3-serial, python3-usb
    - Rules-Requires-Root: no (routine-update)
    - Standards-Version: 4.5.1
  * Add salsa-ci file
  * debian/tests/control: Mark test superficial (Closes: #974493)
  * debian/watch: Update watch file format version to 4.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 26 Dec 2020 13:23:24 +0000

=== debian/control ===
Source: pyvisa-py
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest,
               python3-wheel,
               python3-toml,
               python3-pyvisa
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyvisa-py
Vcs-Git: https://salsa.debian.org/python-team/packages/pyvisa-py.git
Homepage: https://github.com/pyvisa/pyvisa-py
Rules-Requires-Root: no

Package: python3-pyvisa-py
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Breaks: python3-pyvisa (<< 1.11)
Recommends: python3-pyvisa,
            python3-serial,
            python3-usb
Description: Backend that implements a large part of the VISA in pure Python 3
 This library provides Python VISA bindings for GPIB, RS232, and USB
 instruments.
 .
 PyVISA started as wrapper for the NI-VISA library and therefore you need to
 install National Instruments VISA library in your system. This works most of
 the time, for most people. But NI-VISA is a proprietary library that only works
 on certain systems. That is when PyVISA-py jumps in.
 .
 This package provides Python 3 bindings for pyvisa-py.

=== debian/tests/control ===
Tests: py-load
Restrictions: superficial
Depends: python3-pyvisa-py

=== debian/watch ===
version=4
https://github.com/pyvisa/pyvisa-py/releases /pyvisa/pyvisa-py/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pyvisa-py 0.7.2

=== debian/changelog ===
pyvisa-py (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Scrape /<org>/<repo>/tags, not /<org>/<repo>/releases.
  * New upstream release (closes: #1084176):
    - Vendor xdrlib (closes: #1084620).
  * Remove unused build-dependency on python3-toml.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Oct 2024 22:44:33 +0100

pyvisa-py (0.5.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 19:54:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest,
                python3-wheel,
-               python3-toml,
-               python3-pyvisa
+               python3-pyvisa (>= 1.13.0),
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyvisa-py
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyvisa-py.git

=== debian/watch ===
version=4
https://github.com/pyvisa/pyvisa-py/tags /pyvisa/pyvisa-py/archive/refs/tags/@ANY_VERSION@\.tar\.(?:bz2|gz|xz)
